=== modified file 'client/drizzledump_data.cc'
--- client/drizzledump_data.cc	2010-12-02 00:10:36 +0000
+++ client/drizzledump_data.cc	2010-12-06 12:15:06 +0000
@@ -175,6 +175,11 @@
     os << " DEFAULT NULL";
   }
 
+  if (not obj.comment.empty())
+  {
+    os << " COMMENT '" << DrizzleDumpData::escape(obj.comment.c_str(), obj.comment.length()) << "'";
+  }
+
   return os;
 }
 

=== modified file 'client/drizzledump_data.h'
--- client/drizzledump_data.h	2010-12-02 00:10:36 +0000
+++ client/drizzledump_data.h	2010-12-06 12:15:06 +0000
@@ -111,6 +111,7 @@
     bool convertDateTime;
     std::string defaultValue;
     std::string collation;
+    std::string comment;
 
     /* For enum type */
     std::string enumValues;

=== modified file 'client/drizzledump_drizzle.cc'
--- client/drizzledump_drizzle.cc	2010-12-02 00:10:36 +0000
+++ client/drizzledump_drizzle.cc	2010-12-06 12:15:06 +0000
@@ -171,7 +171,7 @@
   if (verbose)
     std::cerr << _("-- Retrieving fields for ") << tableName << "..." << std::endl;
 
-  query= "SELECT COLUMN_NAME, DATA_TYPE, COLUMN_DEFAULT, COLUMN_DEFAULT_IS_NULL, IS_NULLABLE, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION, NUMERIC_SCALE, COLLATION_NAME, IS_AUTO_INCREMENT, ENUM_VALUES FROM DATA_DICTIONARY.COLUMNS WHERE TABLE_SCHEMA='";
+  query= "SELECT COLUMN_NAME, DATA_TYPE, COLUMN_DEFAULT, COLUMN_DEFAULT_IS_NULL, IS_NULLABLE, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION, NUMERIC_SCALE, COLLATION_NAME, IS_AUTO_INCREMENT, ENUM_VALUES, COLUMN_COMMENT FROM DATA_DICTIONARY.COLUMNS WHERE TABLE_SCHEMA='";
   query.append(database->databaseName);
   query.append("' AND TABLE_NAME='");
   query.append(tableName);
@@ -202,7 +202,7 @@
     field->length= (row[5]) ? boost::lexical_cast<uint32_t>(row[5]) : 0;
     field->decimalPrecision= (row[6]) ? boost::lexical_cast<uint32_t>(row[6]) : 0;
     field->decimalScale= (row[7]) ? boost::lexical_cast<uint32_t>(row[7]) : 0;
-
+    field->comment= (row[11]) ? row[11] : "";
 
     fields.push_back(field);
   }

=== modified file 'client/drizzledump_mysql.cc'
--- client/drizzledump_mysql.cc	2010-12-06 11:58:56 +0000
+++ client/drizzledump_mysql.cc	2010-12-06 12:15:06 +0000
@@ -167,7 +167,7 @@
   if (verbose)
     std::cerr << _("-- Retrieving fields for ") << tableName << "..." << std::endl;
 
-  query="SELECT COLUMN_NAME, COLUMN_TYPE, COLUMN_DEFAULT, IS_NULLABLE, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION, NUMERIC_SCALE, COLLATION_NAME, EXTRA FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_SCHEMA='";
+  query="SELECT COLUMN_NAME, COLUMN_TYPE, COLUMN_DEFAULT, IS_NULLABLE, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION, NUMERIC_SCALE, COLLATION_NAME, EXTRA, COLUMN_COMMENT FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_SCHEMA='";
   query.append(database->databaseName);
   query.append("' AND TABLE_NAME='");
   query.append(tableName);
@@ -206,7 +206,7 @@
     field->length= (row[4]) ? boost::lexical_cast<uint32_t>(row[4]) : 0;
     field->decimalPrecision= (row[5] != NULL) ? boost::lexical_cast<uint32_t>(row[5]) : 0;
     field->decimalScale= (row[6] != NULL) ? boost::lexical_cast<uint32_t>(row[6]) : 0;
-
+    field->comment= (row[9]) ? row[9] : "";
     fields.push_back(field);
   }
 

